# Restore Runs

Launch stage: GA

`POST /api/2.0/mlflow/databricks/runs/restore-runs`

Bulk restore runs in an experiment that were deleted no earlier than the specified timestamp. Restores at most
 max_runs per request. To call this API from a Databricks Notebook in Python, you can use the client code snippet on

API scopes: mlflow

**AWS**

Bulk restore runs in an experiment that were deleted no earlier than the specified timestamp. Restores at most
max_runs per request. To call this API from a Databricks Notebook in Python, you can use the client code snippet on
https://docs.databricks.com/en/mlflow/runs.html#bulk-restore.

**Azure**

Bulk restore runs in an experiment that were deleted no earlier than the specified timestamp. Restores at most
max_runs per request. To call this API from a Databricks Notebook in Python, you can use the client code snippet on
https://learn.microsoft.com/en-us/azure/databricks/mlflow/runs#bulk-restore.

**GCP**

Bulk restore runs in an experiment that were deleted no earlier than the specified timestamp. Restores at most
max_runs per request. To call this API from a Databricks Notebook in Python, you can use the client code snippet on
https://docs.gcp.databricks.com/en/mlflow/runs.html#bulk-restore.

## Request body

- `experiment_id` (string, optional)
  The ID of the experiment containing the runs to restore.
- `min_timestamp_millis` (int64, optional)
  The minimum deletion timestamp in milliseconds since the UNIX epoch for restoring runs. Only runs deleted no
   earlier than this timestamp are restored.
- `max_runs` (int32, optional)
  An optional positive integer indicating the maximum number of runs to restore. The maximum allowed value for
   max_runs is 10000.

## Returns

- `runs_restored` (int32, optional)
  The number of runs restored.

## Response

```json
{
  "runs_restored": 0
}
```

